SUPEE-7405 is a bundle of patches for Magento 1.x that resolve several security-related issues. You can find more details on the vulnerabilities address by this patch below:

https://magento.com/security/patches/supee-7405

 

also multipatch to install patch for multiple magento versions:

https://gist.github.com/magenx/9d39c3975384803aa56b#file-multipatch-7405-sh